#!/usr/bin/make -f

export PYBUILD_NAME=djongo
# Embed sqlparse-0.2.4 and use rope to fix module import paths
export PYBUILD_BEFORE_TEST=\
  cp -rv {dir}/sqlparse/sqlparse {build_dir}/$(PYBUILD_NAME)/ && \
  cd {build_dir} && \
  {interpreter} {dir}/debian/refactoring_embedded_sqlparse.py && \
  rm -rf {build_dir}/$(PYBUILD_NAME)/.ropeproject && \
  mv -v {build_dir}/$(PYBUILD_NAME)/djongo.sqlparse/ {build_dir}/$(PYBUILD_NAME)/sqlparse/ && \
  cp -rv {dir}/tests {build_dir}/

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
export PYBUILD_TEST_ARGS=cd {build_dir}; {interpreter} tests/precheckin.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	jekyll build --source docs/ --destination build/html
endif

override_dh_auto_test:
ifneq ($(filter pkg.djongo.integrationtests,$(DEB_BUILD_PROFILES)),)
	PYBUILD_SYSTEM=custom dh_auto_test
endif
